// set.h
#ifndef SET_H
#define SET_H

#include <QMainWindow>
#include <QModelIndex>
#include "code/tree/tree_model_set.h"

namespace Ui {
class set;
}

class set : public QMainWindow
{
    Q_OBJECT

public:
    explicit set(QWidget *parent = nullptr);
    void setTreeModel(tree_model_set* model); // 接受 tree_model_set 实例

    ~set();

signals:
    void treeItemClicked(const QModelIndex &index);

private slots:
    void handleTreeItemClicked(const QModelIndex &index);

private:
    Ui::set *ui;
    tree_model_set* treeModel; // 保存 tree_model_set 实例的指针
};

#endif // SET_H
