#include "tree_model_set.h"

tree_model_set::tree_model_set()
{
    // 构造函数实现，必要时进行初始化
}


QStandardItemModel* tree_model_set::tree_set()
{
    // 创建一个模型
    QStandardItemModel *model = new QStandardItemModel();
    model->setHorizontalHeaderLabels({"仿真台架"});
    // 创建根节点
    QStandardItem *rootItem = new QStandardItem("仿真设置");
    rootItem->setFlags(rootItem->flags() & ~Qt::ItemIsEditable);
    rootItem->setData("page_main", Qt::UserRole);
    // 创建子节点
    QStandardItem *childItem1 = new QStandardItem("TCP设置");
    childItem1->setFlags(childItem1->flags() & ~Qt::ItemIsEditable);
    childItem1->setData("page_tcp", Qt::UserRole);


    QStandardItem *childItem2 = new QStandardItem("工况设置");
    //childItem2->setFlags(childItem2->flags() & ~Qt::ItemIsEditable);
    childItem2->setData("page_set", Qt::UserRole);

    QStandardItem *childItem3 = new QStandardItem("曲线显示");
    childItem3->setFlags(childItem3->flags() & ~Qt::ItemIsEditable);
    childItem3->setData("page_chart", Qt::UserRole);
    // 将子节点添加到根节点
    rootItem->appendRow(childItem1);
    rootItem->appendRow(childItem2);
    rootItem->appendRow(childItem3);
    // 将根节点添加到模型
    model->appendRow(rootItem);
    // 将模型设置为 QTreeView 的模型
    return model;

}
